package com.supplier.service;

import com.supplier.model.*;
import java.util.Map;

public interface WxPayService {

    void pay(WxPay wxPay);

    void payUpdate(WxPay wxPay);

    int getPolling(String releUuid);

    void wxCash(WxWithdrawal wxWithdrawal);

    WxPay getRefundVal(String releUuid);

    Map<String, Object> getUserRefund(WxRefund wxRefund);

    void updateRefundType(String releUuid, String refundState);

    Map<String, Object> refusedRefund(WxRefund wxRefund);

    void buySupplierBalance(WxPay wxPay);

    void updateBuySupplier(WxPay buySupplier);

    int getTopUp(WxPay wxPay);

    void getTopUpTimeOut();

    void updateBuyOfferNum(BuyOfferNum buyOfferNum);

    Map<String, Object> getOfferNum(BuyOfferNum buyOfferNum);

    Map<String, Object> getAuditRefund(WxRefund wxRefund);

    void addSupplierBalanceOf(Supplier supplier);

    Map<String, Object> getTopUpRecord(TopUpRecord topUpRecord);
}
